Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Rule

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.Rule

    public class Rule
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `ANY_SOURCE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Rule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.Integer>` | `getCategories()` |
  `java.lang.String` | `getComment()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `int` | `getId()` |
  `int` | `getNumber()` |
  `java.util.List<java.lang.String>` | `getOutPorts()` |
  `java.lang.String` | `getService()` |
  `int` | `getServiceId()` |
  `java.lang.String` | `getSource()` |
  `int` | `getSourceId()` |
  `java.lang.String` | `getToNumber()` |
  `java.lang.String` | `getToNumber164()` |
  `void` | `setCategories​(java.util.List<java.lang.Integer> categories)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setId​(int id)` |
  `void` | `setNumber​(int number)` |
  `void` | `setOutPorts​(java.util.List<java.lang.String> outPorts)` |
  `void` | `setService​(java.lang.String service)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setSource​(java.lang.String source)` |
  `void` | `setSourceId​(int sourceId)` |
  `void` | `setToNumber​(java.lang.String toNumber)` |
  `void` | `setToNumber164​(java.lang.String toNumber164)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ANY_SOURCE

    public static final int ANY_SOURCE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Rule

    public Rule()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getCategories

    public java.util.List<java.lang.Integer> getCategories()

  - ### setCategories

    public void setCategories​(java.util.List<java.lang.Integer> categories)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getNumber

    public int getNumber()

  - ### setNumber

    public void setNumber​(int number)

  - ### getOutPorts

    public java.util.List<java.lang.String> getOutPorts()

  - ### setOutPorts

    public void setOutPorts​(java.util.List<java.lang.String> outPorts)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId​(int sourceId)

  - ### getToNumber

    public java.lang.String getToNumber()

  - ### setToNumber

    public void setToNumber​(java.lang.String toNumber)

  - ### getToNumber164

    public java.lang.String getToNumber164()

  - ### setToNumber164

    public void setToNumber164​(java.lang.String toNumber164)

  - ### getService

    public java.lang.String getService()

  - ### setService

    public void setService​(java.lang.String service)

  - ### getSource

    public java.lang.String getSource()

  - ### setSource

    public void setSource​(java.lang.String source)